import TxBlock
import socket
import pickle

from server import *


local_hostname = socket.gethostname()
# local_ip = socket.gethostbyname(local_hostname)
local_ip = '192.168.1.103'


TCP_PORT = 5005
BUFFER_SIZE = 1024

if __name__ == "__main__":

    server = newConnection(local_ip)
    print(f"[LISTENING] Server is listening on {local_ip}")


    newB = recvObj(server)
    # print(newB.data[0])
    # print(newB.data[1])

    if (newB.is_valid()):
        print("Success! Transaction is valid.")
    else:
        print("Error! Transaction invalid.")

    if newB.data[0].inputs[0][1] == 2.3:
        print("Success! Input value matches.")
    else:
        print("Error! Wrong input value for block 1, transaction 1.")

    if newB.data[0].outputs[1][1] == 1.1:
        print("Success! Output value matches.")
    else:
        print("Error! Wrong output value for block 1, transaction 1.")

    if newB.data[1].inputs[0][1] == 2.3:
        print("Success! Input value matches.")
    else:
        print("Error! Wrong input value for block 1, transaction 1.")

    if newB.data[1].inputs[1][1] == 1.0:
        print("Success! Input value matches.")
    else:
        print("Error! Wrong input value for block 1, transaction 1.")

    if newB.data[1].outputs[0][1] == 3.1:
        print("Success! Output value matches.")
    else:
        print("Error! Wrong output value for block 1, transaction 1.")

    newTx = recvObj(server)
    # print(newTx)
